<template>
    <div class="register-box box">
		<h3 class="mdc-typography--headline4 mdc-text-center register-header"><span class="mdc-text-danger">Light</span>Box</h3>
		<div class="mdc-box">
			<h3 class="mdc-typography--headline4 mdc-text-center register-title">Sign Up</h3>
			<v-stepper v-model="currentStep" light>
				<v-stepper-header>
					<v-stepper-step color="error" :complete="currentStep > 1" :editable="currentStep > 1" step="1">User Info</v-stepper-step>

					<v-divider></v-divider>

					<v-stepper-step color="error" :complete="currentStep > 2" step="2"  :editable="currentStep > 2">Company Info</v-stepper-step>

					<v-divider></v-divider>

					<v-stepper-step color="error" step="3" :complete="currentStep > 3"  :editable="currentStep > 3">Payment Info</v-stepper-step>

					<v-divider></v-divider>

					<v-stepper-step color="error" step="4">Terms & Conditions</v-stepper-step>
				</v-stepper-header>

				<v-stepper-items>
					<v-stepper-content step="1">
						<user-info :userInfo="form" @next="next(2)" ></user-info>
					</v-stepper-content>

					<v-stepper-content step="2">
						<company-info :companyInfo="form.company_info" :contactInfo="form.contact_info" @next="next(3)" @prev="previous(1)"></company-info>
					</v-stepper-content>

					<v-stepper-content step="3">
						<payment-info :paymentInfo="form.payment_info" @next="next(4)" @prev="previous(2)"></payment-info>
					</v-stepper-content>

					<v-stepper-content step="4">
						<v-container grid-list-xl>
							<form >
								<v-layout wrap align-content-center>
									<v-flex md12>
										<div class="mdc-form-row">
											<div class="mdc-form-field">
												<mc-checkbox id="term_condition" v-model="form.agree_term" v-validate="'truthy'" data-vv-name="agree_term"/>
												<label for="term_condition">
													<m-typo-body :level="1">
														I have read and agree to the <router-link target="_blank" :to="{name: 'Terms'}">terms and conditions.</router-link>
													</m-typo-body>
												</label>
											</div>
										</div>
										<div class="mdc-form-row">
											<m-typo-body class="mdc-m--left-10" :level="2" :class="{'mdc-has-error': hasErrors('agree_term')}"  v-if="hasErrors('agree_term')">
												{{ errors.first('agree_term') }}
											</m-typo-body>
										</div>
									</v-flex>
									<v-flex md12 class="text-xs-right">
										<v-btn round @click="previous(3)" color="default">Back</v-btn>
										<v-btn round color="primary" @click="submit" :disabled="canSave">
											Continue
										</v-btn>
									</v-flex>
								</v-layout>
							</form>
						</v-container>
						<m-linear-progress
							:open="saving"
							:progress="0.5"
							:buffer="0.5"
							indeterminate/>
					</v-stepper-content>
				</v-stepper-items>
			</v-stepper>
		</div>
    </div>
    <!-- /.register-box -->
</template>
<script src="./Register.js"></script>
